Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network153.76.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
Network address
153.76.0.0
Broadcast address
153.79.255.255
First usable
153.76.0.1
Last usable
153.79.255.254
Usable hosts
262,142 (262,144 less the network and broadcast addresses)
Subnet mask
255.252.0.0
Wildcard mask
0.3.255.255 (Cisco ACLs, OSPF)
Prefix length
/14
Type
Public public
Old class
B (default /16)
As numbers
Hex 994C0000 · Integer 2571894784 to 2572156927
Reverse DNS zones
76.153.in-addr.arpa
77.153.in-addr.arpa
78.153.in-addr.arpa
79.153.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10011001.01001100.00000000.00000000153.76.0.0
Subnet mask11111111.11111100.00000000.00000000255.252.0.0
Network10011001.01001100.00000000.00000000153.76.0.0
Broadcast10011001.01001111.11111111.11111111153.79.255.255
Split into smaller subnets/23

153.76.0.0/14 makes 512 subnets of /23; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1153.76.0.0/23153.76.0.1 to 153.76.1.254153.76.1.255510
2153.76.2.0/23153.76.2.1 to 153.76.3.254153.76.3.255510
3153.76.4.0/23153.76.4.1 to 153.76.5.254153.76.5.255510
4153.76.6.0/23153.76.6.1 to 153.76.7.254153.76.7.255510
5153.76.8.0/23153.76.8.1 to 153.76.9.254153.76.9.255510
6153.76.10.0/23153.76.10.1 to 153.76.11.254153.76.11.255510
7153.76.12.0/23153.76.12.1 to 153.76.13.254153.76.13.255510
8153.76.14.0/23153.76.14.1 to 153.76.15.254153.76.15.255510
9153.76.16.0/23153.76.16.1 to 153.76.17.254153.76.17.255510
10153.76.18.0/23153.76.18.1 to 153.76.19.254153.76.19.255510
11153.76.20.0/23153.76.20.1 to 153.76.21.254153.76.21.255510
12153.76.22.0/23153.76.22.1 to 153.76.23.254153.76.23.255510
13153.76.24.0/23153.76.24.1 to 153.76.25.254153.76.25.255510
14153.76.26.0/23153.76.26.1 to 153.76.27.254153.76.27.255510
15153.76.28.0/23153.76.28.1 to 153.76.29.254153.76.29.255510
16153.76.30.0/23153.76.30.1 to 153.76.31.254153.76.31.255510
17153.76.32.0/23153.76.32.1 to 153.76.33.254153.76.33.255510
18153.76.34.0/23153.76.34.1 to 153.76.35.254153.76.35.255510
19153.76.36.0/23153.76.36.1 to 153.76.37.254153.76.37.255510
20153.76.38.0/23153.76.38.1 to 153.76.39.254153.76.39.255510
21153.76.40.0/23153.76.40.1 to 153.76.41.254153.76.41.255510
22153.76.42.0/23153.76.42.1 to 153.76.43.254153.76.43.255510
23153.76.44.0/23153.76.44.1 to 153.76.45.254153.76.45.255510
24153.76.46.0/23153.76.46.1 to 153.76.47.254153.76.47.255510
25153.76.48.0/23153.76.48.1 to 153.76.49.254153.76.49.255510
26153.76.50.0/23153.76.50.1 to 153.76.51.254153.76.51.255510
27153.76.52.0/23153.76.52.1 to 153.76.53.254153.76.53.255510
28153.76.54.0/23153.76.54.1 to 153.76.55.254153.76.55.255510
29153.76.56.0/23153.76.56.1 to 153.76.57.254153.76.57.255510
30153.76.58.0/23153.76.58.1 to 153.76.59.254153.76.59.255510
31153.76.60.0/23153.76.60.1 to 153.76.61.254153.76.61.255510
32153.76.62.0/23153.76.62.1 to 153.76.63.254153.76.63.255510
33153.76.64.0/23153.76.64.1 to 153.76.65.254153.76.65.255510
34153.76.66.0/23153.76.66.1 to 153.76.67.254153.76.67.255510
35153.76.68.0/23153.76.68.1 to 153.76.69.254153.76.69.255510
36153.76.70.0/23153.76.70.1 to 153.76.71.254153.76.71.255510
37153.76.72.0/23153.76.72.1 to 153.76.73.254153.76.73.255510
38153.76.74.0/23153.76.74.1 to 153.76.75.254153.76.75.255510
39153.76.76.0/23153.76.76.1 to 153.76.77.254153.76.77.255510
40153.76.78.0/23153.76.78.1 to 153.76.79.254153.76.79.255510
41153.76.80.0/23153.76.80.1 to 153.76.81.254153.76.81.255510
42153.76.82.0/23153.76.82.1 to 153.76.83.254153.76.83.255510
43153.76.84.0/23153.76.84.1 to 153.76.85.254153.76.85.255510
44153.76.86.0/23153.76.86.1 to 153.76.87.254153.76.87.255510
45153.76.88.0/23153.76.88.1 to 153.76.89.254153.76.89.255510
46153.76.90.0/23153.76.90.1 to 153.76.91.254153.76.91.255510
47153.76.92.0/23153.76.92.1 to 153.76.93.254153.76.93.255510
48153.76.94.0/23153.76.94.1 to 153.76.95.254153.76.95.255510
49153.76.96.0/23153.76.96.1 to 153.76.97.254153.76.97.255510
50153.76.98.0/23153.76.98.1 to 153.76.99.254153.76.99.255510
51153.76.100.0/23153.76.100.1 to 153.76.101.254153.76.101.255510
52153.76.102.0/23153.76.102.1 to 153.76.103.254153.76.103.255510
53153.76.104.0/23153.76.104.1 to 153.76.105.254153.76.105.255510
54153.76.106.0/23153.76.106.1 to 153.76.107.254153.76.107.255510
55153.76.108.0/23153.76.108.1 to 153.76.109.254153.76.109.255510
56153.76.110.0/23153.76.110.1 to 153.76.111.254153.76.111.255510
57153.76.112.0/23153.76.112.1 to 153.76.113.254153.76.113.255510
58153.76.114.0/23153.76.114.1 to 153.76.115.254153.76.115.255510
59153.76.116.0/23153.76.116.1 to 153.76.117.254153.76.117.255510
60153.76.118.0/23153.76.118.1 to 153.76.119.254153.76.119.255510
61153.76.120.0/23153.76.120.1 to 153.76.121.254153.76.121.255510
62153.76.122.0/23153.76.122.1 to 153.76.123.254153.76.123.255510
63153.76.124.0/23153.76.124.1 to 153.76.125.254153.76.125.255510
64153.76.126.0/23153.76.126.1 to 153.76.127.254153.76.127.255510
65153.76.128.0/23153.76.128.1 to 153.76.129.254153.76.129.255510
66153.76.130.0/23153.76.130.1 to 153.76.131.254153.76.131.255510
67153.76.132.0/23153.76.132.1 to 153.76.133.254153.76.133.255510
68153.76.134.0/23153.76.134.1 to 153.76.135.254153.76.135.255510
69153.76.136.0/23153.76.136.1 to 153.76.137.254153.76.137.255510
70153.76.138.0/23153.76.138.1 to 153.76.139.254153.76.139.255510
71153.76.140.0/23153.76.140.1 to 153.76.141.254153.76.141.255510
72153.76.142.0/23153.76.142.1 to 153.76.143.254153.76.143.255510
73153.76.144.0/23153.76.144.1 to 153.76.145.254153.76.145.255510
74153.76.146.0/23153.76.146.1 to 153.76.147.254153.76.147.255510
75153.76.148.0/23153.76.148.1 to 153.76.149.254153.76.149.255510
76153.76.150.0/23153.76.150.1 to 153.76.151.254153.76.151.255510
77153.76.152.0/23153.76.152.1 to 153.76.153.254153.76.153.255510
78153.76.154.0/23153.76.154.1 to 153.76.155.254153.76.155.255510
79153.76.156.0/23153.76.156.1 to 153.76.157.254153.76.157.255510
80153.76.158.0/23153.76.158.1 to 153.76.159.254153.76.159.255510
81153.76.160.0/23153.76.160.1 to 153.76.161.254153.76.161.255510
82153.76.162.0/23153.76.162.1 to 153.76.163.254153.76.163.255510
83153.76.164.0/23153.76.164.1 to 153.76.165.254153.76.165.255510
84153.76.166.0/23153.76.166.1 to 153.76.167.254153.76.167.255510
85153.76.168.0/23153.76.168.1 to 153.76.169.254153.76.169.255510
86153.76.170.0/23153.76.170.1 to 153.76.171.254153.76.171.255510
87153.76.172.0/23153.76.172.1 to 153.76.173.254153.76.173.255510
88153.76.174.0/23153.76.174.1 to 153.76.175.254153.76.175.255510
89153.76.176.0/23153.76.176.1 to 153.76.177.254153.76.177.255510
90153.76.178.0/23153.76.178.1 to 153.76.179.254153.76.179.255510
91153.76.180.0/23153.76.180.1 to 153.76.181.254153.76.181.255510
92153.76.182.0/23153.76.182.1 to 153.76.183.254153.76.183.255510
93153.76.184.0/23153.76.184.1 to 153.76.185.254153.76.185.255510
94153.76.186.0/23153.76.186.1 to 153.76.187.254153.76.187.255510
95153.76.188.0/23153.76.188.1 to 153.76.189.254153.76.189.255510
96153.76.190.0/23153.76.190.1 to 153.76.191.254153.76.191.255510
97153.76.192.0/23153.76.192.1 to 153.76.193.254153.76.193.255510
98153.76.194.0/23153.76.194.1 to 153.76.195.254153.76.195.255510
99153.76.196.0/23153.76.196.1 to 153.76.197.254153.76.197.255510
100153.76.198.0/23153.76.198.1 to 153.76.199.254153.76.199.255510
101153.76.200.0/23153.76.200.1 to 153.76.201.254153.76.201.255510
102153.76.202.0/23153.76.202.1 to 153.76.203.254153.76.203.255510
103153.76.204.0/23153.76.204.1 to 153.76.205.254153.76.205.255510
104153.76.206.0/23153.76.206.1 to 153.76.207.254153.76.207.255510
105153.76.208.0/23153.76.208.1 to 153.76.209.254153.76.209.255510
106153.76.210.0/23153.76.210.1 to 153.76.211.254153.76.211.255510
107153.76.212.0/23153.76.212.1 to 153.76.213.254153.76.213.255510
108153.76.214.0/23153.76.214.1 to 153.76.215.254153.76.215.255510
109153.76.216.0/23153.76.216.1 to 153.76.217.254153.76.217.255510
110153.76.218.0/23153.76.218.1 to 153.76.219.254153.76.219.255510
111153.76.220.0/23153.76.220.1 to 153.76.221.254153.76.221.255510
112153.76.222.0/23153.76.222.1 to 153.76.223.254153.76.223.255510
113153.76.224.0/23153.76.224.1 to 153.76.225.254153.76.225.255510
114153.76.226.0/23153.76.226.1 to 153.76.227.254153.76.227.255510
115153.76.228.0/23153.76.228.1 to 153.76.229.254153.76.229.255510
116153.76.230.0/23153.76.230.1 to 153.76.231.254153.76.231.255510
117153.76.232.0/23153.76.232.1 to 153.76.233.254153.76.233.255510
118153.76.234.0/23153.76.234.1 to 153.76.235.254153.76.235.255510
119153.76.236.0/23153.76.236.1 to 153.76.237.254153.76.237.255510
120153.76.238.0/23153.76.238.1 to 153.76.239.254153.76.239.255510
121153.76.240.0/23153.76.240.1 to 153.76.241.254153.76.241.255510
122153.76.242.0/23153.76.242.1 to 153.76.243.254153.76.243.255510
123153.76.244.0/23153.76.244.1 to 153.76.245.254153.76.245.255510
124153.76.246.0/23153.76.246.1 to 153.76.247.254153.76.247.255510
125153.76.248.0/23153.76.248.1 to 153.76.249.254153.76.249.255510
126153.76.250.0/23153.76.250.1 to 153.76.251.254153.76.251.255510
127153.76.252.0/23153.76.252.1 to 153.76.253.254153.76.253.255510
128153.76.254.0/23153.76.254.1 to 153.76.255.254153.76.255.255510
129153.77.0.0/23153.77.0.1 to 153.77.1.254153.77.1.255510
130153.77.2.0/23153.77.2.1 to 153.77.3.254153.77.3.255510
131153.77.4.0/23153.77.4.1 to 153.77.5.254153.77.5.255510
132153.77.6.0/23153.77.6.1 to 153.77.7.254153.77.7.255510
133153.77.8.0/23153.77.8.1 to 153.77.9.254153.77.9.255510
134153.77.10.0/23153.77.10.1 to 153.77.11.254153.77.11.255510
135153.77.12.0/23153.77.12.1 to 153.77.13.254153.77.13.255510
136153.77.14.0/23153.77.14.1 to 153.77.15.254153.77.15.255510
137153.77.16.0/23153.77.16.1 to 153.77.17.254153.77.17.255510
138153.77.18.0/23153.77.18.1 to 153.77.19.254153.77.19.255510
139153.77.20.0/23153.77.20.1 to 153.77.21.254153.77.21.255510
140153.77.22.0/23153.77.22.1 to 153.77.23.254153.77.23.255510
141153.77.24.0/23153.77.24.1 to 153.77.25.254153.77.25.255510
142153.77.26.0/23153.77.26.1 to 153.77.27.254153.77.27.255510
143153.77.28.0/23153.77.28.1 to 153.77.29.254153.77.29.255510
144153.77.30.0/23153.77.30.1 to 153.77.31.254153.77.31.255510
145153.77.32.0/23153.77.32.1 to 153.77.33.254153.77.33.255510
146153.77.34.0/23153.77.34.1 to 153.77.35.254153.77.35.255510
147153.77.36.0/23153.77.36.1 to 153.77.37.254153.77.37.255510
148153.77.38.0/23153.77.38.1 to 153.77.39.254153.77.39.255510
149153.77.40.0/23153.77.40.1 to 153.77.41.254153.77.41.255510
150153.77.42.0/23153.77.42.1 to 153.77.43.254153.77.43.255510
151153.77.44.0/23153.77.44.1 to 153.77.45.254153.77.45.255510
152153.77.46.0/23153.77.46.1 to 153.77.47.254153.77.47.255510
153153.77.48.0/23153.77.48.1 to 153.77.49.254153.77.49.255510
154153.77.50.0/23153.77.50.1 to 153.77.51.254153.77.51.255510
155153.77.52.0/23153.77.52.1 to 153.77.53.254153.77.53.255510
156153.77.54.0/23153.77.54.1 to 153.77.55.254153.77.55.255510
157153.77.56.0/23153.77.56.1 to 153.77.57.254153.77.57.255510
158153.77.58.0/23153.77.58.1 to 153.77.59.254153.77.59.255510
159153.77.60.0/23153.77.60.1 to 153.77.61.254153.77.61.255510
160153.77.62.0/23153.77.62.1 to 153.77.63.254153.77.63.255510
161153.77.64.0/23153.77.64.1 to 153.77.65.254153.77.65.255510
162153.77.66.0/23153.77.66.1 to 153.77.67.254153.77.67.255510
163153.77.68.0/23153.77.68.1 to 153.77.69.254153.77.69.255510
164153.77.70.0/23153.77.70.1 to 153.77.71.254153.77.71.255510
165153.77.72.0/23153.77.72.1 to 153.77.73.254153.77.73.255510
166153.77.74.0/23153.77.74.1 to 153.77.75.254153.77.75.255510
167153.77.76.0/23153.77.76.1 to 153.77.77.254153.77.77.255510
168153.77.78.0/23153.77.78.1 to 153.77.79.254153.77.79.255510
169153.77.80.0/23153.77.80.1 to 153.77.81.254153.77.81.255510
170153.77.82.0/23153.77.82.1 to 153.77.83.254153.77.83.255510
171153.77.84.0/23153.77.84.1 to 153.77.85.254153.77.85.255510
172153.77.86.0/23153.77.86.1 to 153.77.87.254153.77.87.255510
173153.77.88.0/23153.77.88.1 to 153.77.89.254153.77.89.255510
174153.77.90.0/23153.77.90.1 to 153.77.91.254153.77.91.255510
175153.77.92.0/23153.77.92.1 to 153.77.93.254153.77.93.255510
176153.77.94.0/23153.77.94.1 to 153.77.95.254153.77.95.255510
177153.77.96.0/23153.77.96.1 to 153.77.97.254153.77.97.255510
178153.77.98.0/23153.77.98.1 to 153.77.99.254153.77.99.255510
179153.77.100.0/23153.77.100.1 to 153.77.101.254153.77.101.255510
180153.77.102.0/23153.77.102.1 to 153.77.103.254153.77.103.255510
181153.77.104.0/23153.77.104.1 to 153.77.105.254153.77.105.255510
182153.77.106.0/23153.77.106.1 to 153.77.107.254153.77.107.255510
183153.77.108.0/23153.77.108.1 to 153.77.109.254153.77.109.255510
184153.77.110.0/23153.77.110.1 to 153.77.111.254153.77.111.255510
185153.77.112.0/23153.77.112.1 to 153.77.113.254153.77.113.255510
186153.77.114.0/23153.77.114.1 to 153.77.115.254153.77.115.255510
187153.77.116.0/23153.77.116.1 to 153.77.117.254153.77.117.255510
188153.77.118.0/23153.77.118.1 to 153.77.119.254153.77.119.255510
189153.77.120.0/23153.77.120.1 to 153.77.121.254153.77.121.255510
190153.77.122.0/23153.77.122.1 to 153.77.123.254153.77.123.255510
191153.77.124.0/23153.77.124.1 to 153.77.125.254153.77.125.255510
192153.77.126.0/23153.77.126.1 to 153.77.127.254153.77.127.255510
193153.77.128.0/23153.77.128.1 to 153.77.129.254153.77.129.255510
194153.77.130.0/23153.77.130.1 to 153.77.131.254153.77.131.255510
195153.77.132.0/23153.77.132.1 to 153.77.133.254153.77.133.255510
196153.77.134.0/23153.77.134.1 to 153.77.135.254153.77.135.255510
197153.77.136.0/23153.77.136.1 to 153.77.137.254153.77.137.255510
198153.77.138.0/23153.77.138.1 to 153.77.139.254153.77.139.255510
199153.77.140.0/23153.77.140.1 to 153.77.141.254153.77.141.255510
200153.77.142.0/23153.77.142.1 to 153.77.143.254153.77.143.255510
201153.77.144.0/23153.77.144.1 to 153.77.145.254153.77.145.255510
202153.77.146.0/23153.77.146.1 to 153.77.147.254153.77.147.255510
203153.77.148.0/23153.77.148.1 to 153.77.149.254153.77.149.255510
204153.77.150.0/23153.77.150.1 to 153.77.151.254153.77.151.255510
205153.77.152.0/23153.77.152.1 to 153.77.153.254153.77.153.255510
206153.77.154.0/23153.77.154.1 to 153.77.155.254153.77.155.255510
207153.77.156.0/23153.77.156.1 to 153.77.157.254153.77.157.255510
208153.77.158.0/23153.77.158.1 to 153.77.159.254153.77.159.255510
209153.77.160.0/23153.77.160.1 to 153.77.161.254153.77.161.255510
210153.77.162.0/23153.77.162.1 to 153.77.163.254153.77.163.255510
211153.77.164.0/23153.77.164.1 to 153.77.165.254153.77.165.255510
212153.77.166.0/23153.77.166.1 to 153.77.167.254153.77.167.255510
213153.77.168.0/23153.77.168.1 to 153.77.169.254153.77.169.255510
214153.77.170.0/23153.77.170.1 to 153.77.171.254153.77.171.255510
215153.77.172.0/23153.77.172.1 to 153.77.173.254153.77.173.255510
216153.77.174.0/23153.77.174.1 to 153.77.175.254153.77.175.255510
217153.77.176.0/23153.77.176.1 to 153.77.177.254153.77.177.255510
218153.77.178.0/23153.77.178.1 to 153.77.179.254153.77.179.255510
219153.77.180.0/23153.77.180.1 to 153.77.181.254153.77.181.255510
220153.77.182.0/23153.77.182.1 to 153.77.183.254153.77.183.255510
221153.77.184.0/23153.77.184.1 to 153.77.185.254153.77.185.255510
222153.77.186.0/23153.77.186.1 to 153.77.187.254153.77.187.255510
223153.77.188.0/23153.77.188.1 to 153.77.189.254153.77.189.255510
224153.77.190.0/23153.77.190.1 to 153.77.191.254153.77.191.255510
225153.77.192.0/23153.77.192.1 to 153.77.193.254153.77.193.255510
226153.77.194.0/23153.77.194.1 to 153.77.195.254153.77.195.255510
227153.77.196.0/23153.77.196.1 to 153.77.197.254153.77.197.255510
228153.77.198.0/23153.77.198.1 to 153.77.199.254153.77.199.255510
229153.77.200.0/23153.77.200.1 to 153.77.201.254153.77.201.255510
230153.77.202.0/23153.77.202.1 to 153.77.203.254153.77.203.255510
231153.77.204.0/23153.77.204.1 to 153.77.205.254153.77.205.255510
232153.77.206.0/23153.77.206.1 to 153.77.207.254153.77.207.255510
233153.77.208.0/23153.77.208.1 to 153.77.209.254153.77.209.255510
234153.77.210.0/23153.77.210.1 to 153.77.211.254153.77.211.255510
235153.77.212.0/23153.77.212.1 to 153.77.213.254153.77.213.255510
236153.77.214.0/23153.77.214.1 to 153.77.215.254153.77.215.255510
237153.77.216.0/23153.77.216.1 to 153.77.217.254153.77.217.255510
238153.77.218.0/23153.77.218.1 to 153.77.219.254153.77.219.255510
239153.77.220.0/23153.77.220.1 to 153.77.221.254153.77.221.255510
240153.77.222.0/23153.77.222.1 to 153.77.223.254153.77.223.255510
241153.77.224.0/23153.77.224.1 to 153.77.225.254153.77.225.255510
242153.77.226.0/23153.77.226.1 to 153.77.227.254153.77.227.255510
243153.77.228.0/23153.77.228.1 to 153.77.229.254153.77.229.255510
244153.77.230.0/23153.77.230.1 to 153.77.231.254153.77.231.255510
245153.77.232.0/23153.77.232.1 to 153.77.233.254153.77.233.255510
246153.77.234.0/23153.77.234.1 to 153.77.235.254153.77.235.255510
247153.77.236.0/23153.77.236.1 to 153.77.237.254153.77.237.255510
248153.77.238.0/23153.77.238.1 to 153.77.239.254153.77.239.255510
249153.77.240.0/23153.77.240.1 to 153.77.241.254153.77.241.255510
250153.77.242.0/23153.77.242.1 to 153.77.243.254153.77.243.255510
251153.77.244.0/23153.77.244.1 to 153.77.245.254153.77.245.255510
252153.77.246.0/23153.77.246.1 to 153.77.247.254153.77.247.255510
253153.77.248.0/23153.77.248.1 to 153.77.249.254153.77.249.255510
254153.77.250.0/23153.77.250.1 to 153.77.251.254153.77.251.255510
255153.77.252.0/23153.77.252.1 to 153.77.253.254153.77.253.255510
256153.77.254.0/23153.77.254.1 to 153.77.255.254153.77.255.255510

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses